Bug 1317709 - live Workstation install doesn't have a rescue mode entry in the grub menu
Summary: live Workstation install doesn't have a rescue mode entry in the grub menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spin-kickstarts
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks: F24BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-03-14 23:39 UTC by Andre Robatino
Modified: 2016-04-11 14:49 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-11 14:49:33 UTC


Attachments (Terms of Use)

Description Andre Robatino 2016-03-14 23:39:54 UTC
Description of problem:
After installing from Fedora-Workstation-Live-x86_64-24-20160314.0.iso, there is no rescue mode entry in the grub menu. On #fedora-qa, adamw told me that there is a rescue mode entry when installing from the server netinst, and that server vs. workstation shouldn't matter, so this appears to be live-specific, so I should file against lorax and not anaconda.

Version-Release number of selected component (if applicable):
Whatever is in Fedora-Workstation-Live-x86_64-24-20160314.0.iso

How reproducible:
always

Comment 1 Andre Robatino 2016-03-14 23:42:34 UTC
Nominating as an Alpha FE in case there is no easy way to fix this after installation.

Comment 2 satellitgo 2016-03-14 23:55:02 UTC
+1

Comment 3 Brian Lane 2016-03-15 00:09:04 UTC
The live images currently have '-dracut-config-rescue' in their kickstarts. That needs to be removed, but be aware that this means the installation media will also have a rescue kernel and initrd, making it somewhat larger.

Comment 4 Kevin Fenzi 2016-03-16 18:52:02 UTC
I'm not sure what good a rescue kernel is. Perhaps we should drop it from the netinstall/dvd media as well? 

Or is there some requirement to have a rescue kernel?

Comment 5 Andre Robatino 2016-03-17 02:30:53 UTC
Is there a way to add a rescue kernel if the initial installation doesn't do it? Does it automatically get generated if the kernel is updated?

Comment 6 Kevin Fenzi 2016-03-17 16:16:57 UTC
good question, and I don't know. ;) 

Simply installing dracut-config-rescue doesn't do it, nor does doing that and adding/removing a kernel or running dracut -f.

Comment 7 Kamil Páral 2016-03-18 08:53:20 UTC
Here's a description of the change that introduced "rescue kernel":
https://fedoraproject.org/wiki/Features/DracutHostOnly

Unless something changed, the rescue kernel is required if you substantially change your hardware (so that you're missing some modules in your current initramfs) or you transfer your HDD containing installed system into a different PC. From that POV, it would be useful to have the rescue kernel boot option generated for all installation methods.

Comment 8 Andre Robatino 2016-03-19 01:24:19 UTC
I asked in https://lists.fedoraproject.org/archives/list/test@lists.fedoraproject.org/thread/MBKSP2RZBVIJF66SIVRFODSTAQDAK64D/ and was referred to https://ask.fedoraproject.org/en/question/40409/cant-boot-into-rescue-mode-how-to-re-generate-initramfs/ . I ran the command

/etc/kernel/postinst.d/51-dracut-rescue-postinst.sh $(uname -r) /boot/vmlinuz-$(uname -r)

which created the rescue mode files in /boot, then ran "grub2-mkconfig -o /boot/grub2/grub.conf" manually to put the grub rescue mode entry after the non-rescue kernels (initially it was the first entry in the list).

Comment 9 Kamil Páral 2016-03-21 17:29:27 UTC
Discussed at today's blocker review meeting [1]. Voted as  AcceptedFreezeException - if we decide the rescue kernel is desired and important to live images, it's reasonable to allow a fix as a freeze exception so long as it's simple, targeted and testable (if it requires package changes to anything boot-related we likely won't take it)

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-03-21

Comment 10 Brian Lane 2016-03-21 21:06:20 UTC
In order to do this only 2 things need to be done:

1. Remove the '-dracut-config-rescue" from the %package section of the kickstarts
2. Add a 'rm -f /boot/*-rescue*' to the end of a %post section to keep the image size down.

Comment 11 Andre Robatino 2016-03-24 00:19:58 UTC
Proposing as Beta FE.

Comment 12 Kevin Fenzi 2016-03-25 18:38:23 UTC
Pushed the changes in comment#10 in spin-kickstarts c05c51325de8736db8080874654f14d1b96a78d5

Should be able to check tomorrow's nightly / rawhide live composes.

Comment 13 Andre Robatino 2016-04-09 15:35:35 UTC
After installing from Fedora-Workstation-Live-x86_64-24-20160409.n.0.iso, I have a working rescue mode entry.

Comment 14 Kamil Páral 2016-04-11 14:49:33 UTC
In that case we can probably close this. Thanks for testing, Andre.


Note You need to log in before you can comment on or make changes to this bug.